%define modname htscanner
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A12_%{modname}.ini

Summary:	Htaccess support for PHP
Name:		php-%{modname}
Version:	0.7.0
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/htscanner
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Allow one to use htaccess-like file to configure PHP per directory, just like
apache's htaccess. It is especially useful with fastcgi. This package was
originally developed by Bart Vanbrabant. Old versions are available
from: http://files.zoeloelip.be/htscanner

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

; The configuration file htscanner needs to scan for php_* directives
config_file=".htaccess"

; The fallback docroot when htscanner can't determine the current docroot
default_docroot="/"
default.ttl=300

; Stop when an error occured in RINIT (no document root, cannot get path_translated,...)
stop_on_error = 0
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2007.0
+ Revision: 123012
- 0.7.0

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-2mdv2007.1
+ Revision: 117587
- rebuilt against new upstream version (5.2.1)

* Sun Jan 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2007.1
+ Revision: 105366
- 0.6.3

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdv2007.1
+ Revision: 98533
- 0.6.2
- bump release
- Import php-htscanner



* Wed Dec 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2007.1
- initial Mandriva package
